org.apache.coyote.http2

## Enum Setting

- java.lang.Object
- - java.lang.Enum<Setting>
  - - org.apache.coyote.http2.Setting

- All Implemented Interfaces:
    Serializable, Comparable<Setting>

      public enum Setting
      extends Enum<Setting>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENABLE_PUSH`
    `HEADER_TABLE_SIZE`
    `INITIAL_WINDOW_SIZE`
    `MAX_CONCURRENT_STREAMS`
    `MAX_FRAME_SIZE`
    `MAX_HEADER_LIST_SIZE`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `String` | `toString()`
    `static Setting` | `valueOf(int i)`
    `static Setting` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Setting[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HEADER_TABLE_SIZE

          public static final Setting HEADER_TABLE_SIZE

    - #### ENABLE_PUSH

          public static final Setting ENABLE_PUSH

    - #### MAX_CONCURRENT_STREAMS

          public static final Setting MAX_CONCURRENT_STREAMS

    - #### INITIAL_WINDOW_SIZE

          public static final Setting INITIAL_WINDOW_SIZE

    - #### MAX_FRAME_SIZE

          public static final Setting MAX_FRAME_SIZE

    - #### MAX_HEADER_LIST_SIZE

          public static final Setting MAX_HEADER_LIST_SIZE

    - #### UNKNOWN

          public static final Setting UNKNOWN

  - ### Method Detail

    - #### values

          public static Setting[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Setting c : Setting.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Setting valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Setting>`

    - #### valueOf

          public static Setting valueOf(int i)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.